[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Fwd: Build Error (Job 2059): sdlmame-0129-0_6_0128u6_fc11 on fedora-development-rpmfusion_nonfree]



Michael Schwendt pisze:
> On Mon, 15 Dec 2008 12:39:53 +0100, Julian wrote:
> 
>> This is some fallout from the new RPM pkgconfig automatic deps, right?
> 
> No.
> 
> There is some misunderstanding with regard to those automatic deps.
> 
> 1.) Automatic Provides  pkgconfig(foo)  are in the packages for a longer
> time already. Just examine old builds to see. If any Provides is missing
> nevertheless, a rebuild may fix it, though.
> 
> 2.) Only builds with a sufficiently recent RPM add the automatic
> RPM _Requires_ (!) for any pkgconfig Requires found in a .pc file in
> a package. For most packages, the maintainers has added Requires for
> all needed -devel packages before, however.
> 
> 3.) Rebuilding existing packages in Rawhide only breaks something,
> if a Requires pkgconfig(foo) is added automatically without any
> package being the provider.
> 
> Case 3) does not apply to your package. Its dependencies resolve fine
> in mock/yum. The build fails at compile-time, because dbus-devel
> is missing. gconf2-devel should have added "Requires: dbus-devel"
> much earlier or now be rebuilt to add the automatic Requires for
> an automatic pkgconfig(dbus-1) dependency.
> 
>> Package 'dbus-1', required by 'gconf', not found
> 
>> Package dbus-1 was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `dbus-1.pc'
>> to the PKG_CONFIG_PATH environment variable
> 

OK, GConf2-devel indeed does not have dbus-devel Requires defined, but
then how come the build did work on F-10? Also, previous version built
fine on F-11.

Regards,
Julian


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]